Search the Community

Showing results for tags 'install'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Resilio Sync
    • Sync General Discussion
    • Sync Troubleshooting
    • Sync for NAS (Network Attached Storage)
    • Sync Stories
    • Developers
    • Feature Requests

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 20 results

  1. Does resilio support a silent install as service? It seems not to: https://help.resilio.com/hc/en-us/articles/205505969-How-to-Silently-Install-Resilio-Sync Resilio installs in "c:\ProgramData\Resilio Sync Service" if installed as service. That's fine, but I'm missing a auto-update ability, which would be possible to script if it supported silent install. If installing without service it install in "c:\Users\<user>\AppData\Roaming\Resilio Sync". Now that's a mess. The install must be elevated it seems, because if I run silent install below then it prompts for elevation, and does not install without elevation. It is registered as installed in windows programs and features, but is installed under the home-dir that I happened to run it under. If a future update is running as say Administrator rather than my elevated prompt I suspect I wont like the result. I tried using choco to install resilio-sync-home but ran into these problems, which seems to find their root cause in resilio installing as a program in windows requiring elevated prompt but not installing in the program files location.
  2. I want to try Resilio, because it seems to be the only solution which supports Linux, IOS, and Androiod as well. Unfortunatly my first try on Linux fails. I'd like to install Resilio on a Ubuntu Xenial computer according to this guide: https://help.resilio.com/hc/en-us/articles/206178924 Here is the output of my sources file for resilio: deb http://linux-packages.resilio.com/resilio-sync/deb resilio-sync non-f The Resilio key is in my list: pub 2048R/3F171DE2 2017-12-22 uid Resilio, Inc. <support@getsync.com> apt update is not complaining: Hit:4 http://linux-packages.resilio.com/resilio-sync/deb resilio-sync InRelease But the command sudo apt-get install resilio-sync does not work as described: E: Unable to locate package resilio-sync What's wrong?
  3. Hi, I have encountered a problem with the update to resilio-sync x86_64 2.5.2-1 through the package manager on the latest Fedora. I have setup the stuff following this blog post https://www.resilio.com/blog/official-linux-packages-for-sync-now-available Now there is the update to version 2.5.2-1 showing up, but installation fails, because the package is not signed. I have double checked, the key for the repository is installed. So I think it is a error on your side... Christian great product btw i am using resiliosync succesfully on my laptop, phone and raspberry over different countries/continents
  4. Good morning, I am trying to install Resilio Sync Home on Mac OS X 10.10.5 and it does not allow me to install it since it indicates that it is damaged and can not be opened I downloaded it with different browser and from another computer passing it to this but the problem persists Attached screenshot to see that error. A greeting.
  5. Hi, I manually installed the Resilio Sync package on my DS416j, DSM 6.1-15047 UPDATE2, Like the post in this topic , every time I try to launch it, I get the following error : "Failed to run the package service". Also, Admin account is enabled. and when I tried to SSH to /usr/local/resiliosync/bin/ and launch it manually or use the solution mentioned in that post, I get the following output : "segmentation fault (core dumped)". Can anyone help with this problem ? Thank you so much.
  6. Hey, I´m new with freebsd and I need some help. Could someone help me to install resilio sync with freebsd 11.0? I have downloaded the x64 tar.gz from https://download-cdn.resilio.com/stable/FreeBSD-x64/resilio-sync_freebsd_x64.tar.gz and decompresserd it. What I have to do now? sorry for this noob question, Im used to install apps from pkg or ports.
  7. OK, so I recently noticed that my files weren't being synced, so I went to check in the desktop app to see what the deal was (I didn't upgrade to Resilio Sync yet). Turns out, Sync wasn't running and the shortcut I had in the start menu wasn't working either. I went and downloaded Resilio Sync, but that didn't install correctly either. I went into the appdata folder for it and only found debug.txt and sync.log. The debug.txt only contains the following: "FFFFFFFF0" and the contents of sync.log are as follows: platform: Windows workstation 10.0 amd64 version: 2.4.1.672 [2016-10-29 11:20:09] ZIP: Can't locate [version] in zip, error -100. [11:23:15.029] Debug log mask has been set to FFFFFFFF [11:23:15.029] Features mask has been set to 0 [2016-10-29 11:23:15] ZIP: Can't locate [version] in zip, error -100. The only recent change that I think could have an effect was that I recently installed Malwarebytes for a random bit of malware that I found.
  8. Hello everyone, I am new here. I originally joined this forum to get help. I am on Linux Mint and I was following this tutorial to install Resilio Sync... Installing Sync package on Linux Well, I am here to tell Linux Mint users not to follow that guide. First of all, the guide was not written for beginners, and secondly, it is flawed. When you reach the part to run the systemctl commands, those commands will fail every time. Why? Because there is no such thing as systemctl on your computer, or at least, that is what will happen to you if you are a Linux Mint user like me. I literally wasted hours trying to figure out was was wrong and I definitely would not want the same thing to happen to someone else. Okay, now that I have given you the bad news, here’s the good news. Just follow these YouTube videos and you’ll install Resilio Sync like a breeze... Bittorrent Sync in Linux (Part 1) Bittorrent Sync in Linux (Part 2) Bittorrent Sync in Linux (Part 3) Substitute Resilio Sync wherever the person says Bittorrent Sync and you’ll be good. The sync interface is a bit different too, but nothing too hard to figure out. I hope this helps somebody.
  9. A lot of people on this forum have a Raspberry Pi using BitTorrent Sync. Over the last couple weeks, since the original blog post of Sync + WD + Raspberry Pi, I have been working on a script for everybody to use to install, update, backup and remove BitTorrent Sync on their Raspberry Pi easily without worrying how to actually do that. And now I am ready to let you guys know about it. It does exactly what you would think it does: Install, update, backup and remove an installation of BitTorrent Sync using that script. Not more, not less. You can check it out on my GitHub page here: Raspberry Pi + Sync Script All the instructions and what to do is described there. Hope this will help people that are just starting to use BitTorrent Sync on their Raspberry Pi's.
  10. I'm trying to install BTsync on on a Raspberry Pi B+ (Jessie), I followed the instructions on the blog and added the offical linux packages, it installed OK and I ran: sudo service btsync start Then checking status seemed to suggest that everything was working OK, however I can't access the gui from another machine on the network to complete setup I'm using: 192.168.1.100:8888/gui (I've confirmed the pi IP is correct with ifconfig). It seems I either need to complete an extra step of set up somehow?
  11. Hi, I had some issues configuring sync the first time on my Ubuntu Server installed from the official repository so I decided to run apt-get remove btsync and manually deleted a few folders: rm -r /etc/btsync /var/lib/btsync /home/stijn/btsync So then I wanted to reinstall with: sudo apt-get install btsync But this is now resulting in: 1 not fully installed or removed. After this operation, 0 B of additional disk space will be used. Do you want to continue? [Y/n] y Setting up btsync (2.3.3-1) ... chmod: cannot access ‘/etc/btsync/init_user_config.sh’: No such file or directory dpkg: error processing package btsync (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: btsync E: Sub-process /usr/bin/dpkg returned an error code (1) How do I fix the 'cannot access ....... error? Edit: ahrg.. just spotted the solution in another topic: had to purge the package and THEN reinstall it..
  12. When adding a new device (using my license key), two things happen often: 1. suddenly folders on existing devices are empty, and only the folders will sync 2. sometimes new folders are created with the same name as the old folders, e.g. Documents(1), Documents(2), Pictures(1), Pictures(2) etc. So some files are deleted, and other files/folders are multiplied. What am I doing wrong? Now I make backups of all my documents all the time, because I cannot rely 100% on Bittorrent Sync. Windows8.1, SyncPro personal.
  13. My friend is having trouble with opening the installation files on his computer. They ask for permission to open, and then nothing happens. I am not sure if he uses 32 bit or 64 bit, but we have tried both installers.
  14. I started the update to 2.0.93 from (.95) thinking this would take the normal 1min max. Little did I know it would take around 45min. The culprit was that there was a scan of all active volumes for .sync folders. Holy cow. My backup volume that uses dirvish to backup unix(ish) systems was included in that scan. dirvish uses hardlinks to minimize disk usage but ends up with TONs of hard links. I don't want to count the total number, but it is in the millions I'm sure. Autoscanning the full set of volumes on a NAS is probably NOT a good idea guys!
  15. Hi there, Is there a way to remove a few linked devices from the devices list that are not used anymore? While setting up BitTorrent Sync on two Androids, the program kept crashing a few times, which forced me to reconfigure the setup. No problem, it happens, but it did link already with another "main" device, and on there the two unused devices are staying "out of sync" in the list. Any way to remove those? Thanks!
  16. I've been using bittorrent sync for about a year now and I'm pretty sure that I've upgraded versions in the past but I can't figure out how to do it this time. When I open my web UI it gives me a message that there is a new version. I download and follow the step,i.e. run ./btsync but this does not upgrade my current version. Any thoughts? thanks, Wayne
  17. Hi everyone, I follow all the ways to install Bittorrent Sync. But none of the works for MybookLive 2tb. I tried this: -------------- wget https://gist.github....stall_btsync.sh bash install_btsync.sh -------------------- also this teps are following: 1. You need to find out your CPU type for NAS and download proper binaries; 2. Login to your NAS over SSH 3. Transfer binaries there 4. Unzip it 5. Made chmod +x ./btsync 6. Then in browser go to your_nas_ip:8888 and configure sync when I write the command chmod +x ./btsync i got the error menssage that : bash: /shares/Public/btsync: cannot execute binary file Please I will be really thankfull if somebody helps me! Happy New Year!!! Matheus
  18. Hi! I'm a big fan of bittorrent technology. I hope some day we will use it as direct urls in browser to navigate and load any content in real time. Today I decided to make btsync a main tool that will transfer backups of my sites to my PC. I prefer CentOS as server OS. But it's usual repos (main+epel+remi) has no btsync package yet. May be because of beta status of that tool. CentOS have very handy way to start and stop daemons, but you need init.d script. Shure, I've found some. While trying to make it all work, I occasionally created a kind of an installation script. And one uninstallation script too. So, now I have three scripts for you to share. May be it will be useful for someone. install.sh This script will install btsync executable into the depths of CentOS. You have to put this script and btsync binary in the same folder. It do exactly the next things: Creates user btsync if it doesn't existCreates folders:/var/run/btsync - for a pid file/var/lib/btsync - to store any files btsync need for work (mean only sync folder for now)Creates files:/usr/bin/btsync - executable/etc/btsync.conf - config file/etc/init.d/btsync - to control the daemon/etc/sysconfig/bysync - to set /etc/init.d/btsync script vars (like user, config or pidfile) without editing it. uninstall.sh This script removes all above, except user and config file. btsync.initd To start btsync as daemon in a usual way - chkconfig or "service btsync start" I'm not familliar with all that bash script writing. I hope someone could fix if I did something wrong. Thanks! Listing: install.sh #!/bin/sh# created by igordataprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################function createUser () { user=$1 if id -u $user >/dev/null 2>&1; then echo "User $user exists." else useradd -s /sbin/nologin -M -U $user || { echo "Can't create user $user."; exit 1; } echo "User $user created." fi}function createDir () { DIR=$1 if [ -d $DIR ]; then echo "Dir $DIR exists." else mkdir $DIR || { echo "Can't create directory $DIR."; exit 2; } echo "Dir $DIR created." fi}function chownchmod () { DIR=$1 chown $prog:$prog $DIR || { echo "Can't change owner and group to $prog for path $DIR."; exit 3; } chmod 0744 $DIR || { echo "Can't set permissions for path $DIR."; exit 3; } echo "Owner, group and permissions are set for path $DIR.";}######################################################create user btsynccreateUser $prog#create folders#directory for btsync working filescreateDir $PROGDIRchownchmod $PROGDIR#btsync storage dircreateDir $PROGDIR/syncchownchmod $PROGDIR/sync#directory for btsync pid filecreateDir $PIDDIRchownchmod $PIDDIR#copy executablecp ./$prog $BIN || { echo "Can't copy $prog to $BIN."; exit 4; }chmod 0755 $BIN || { echo "Can't set permissions for executable $BIN."; exit 5; }echo "Executable copied to $BIN and permissons are set."cp ./$prog.initd /etc/init.d/$prog || { echo "Can't copy init.d script to /etc/init.d/$prog."; exit 6; }echo "Init.d script /etc/init.d/$prog created and permissions are set"touch /etc/sysconfig/$prog || { echo "Can't create /etc/sysconfig/$prog configuration file.";}chmod 0644 /etc/sysconfig/$prog || { echo "Can't set permissions for /etc/sysconfig/$prog configuration file.";}echo "Init.d script configuration vars now can be set in /etc/sysconfig/$prog file."if [ -f $CONFIG ]; then echo "Config file $CONFIG exists."else echo "{\"device_name\":\"CentOS.btsync\",\"listening_port\":0, // 0 - randomize port\"storage_path\":\"$PROGDIR/sync\",\"pid_file\":\"$PIDFILE\",\"use_upnp\":true,\"download_limit\":0,\"upload_limit\":0,/* \"webui\" : { \"listen\" : \"0.0.0.0:8888\", \"login\" : \"admin\", \"password\" : \"pass\" },*//* \"shared_folders\" : [ { \"secret\" : \"VERYSPECIALSECRETPHRASEFORTHATDIR\", // use --generate-secret in command line to create new secret \"dir\" : \"/path/to/dir\", \"use_sync_trash\" : false, // enable to store files deleted on remote devices in .SyncArchive folder \"known_hosts\" : [ \"192.168.1.2:44444\" ] } ],*/\"check_for_updates\":true}" > $CONFIG echo "An empty config was created.Attention!You have to uncomment webui section and set user and password to access webui at http://localhost:8888 to be able create and share folders.Or uncomment and fill list of shared directories manualy."fi#####################################################echo "Now you can use \"service $prog (start|stop)\" commands.Thanks.Done.";uninstall.sh #!/bin/shprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################if [ -f $PIDFILE ]; then killall $progfirm -f $PIDFILErm -f $BINrm -f /etc/init.d/$progrm -f /etc/sysconfig/$progrm -f -rf $PROGDIRrm -f -rf $PIDDIRecho "Done.User $prog and config file $CONFIG have to be removed manualy."btsync.initd (put to /etc/init.d/ and rename to "btsync") #!/bin/sh### BEGIN INIT INFO# Provides: btsync# Required-Start: $local_fs $remote_fs# Required-Stop: $local_fs $remote_fs# Should-Start: $network# Should-Stop: $network# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: service btsync (start|stop)# Description: Starts the btsync daemon.### END INIT INFO#############################USER="btsync"CONFIG=/etc/btsync.confPIDFILE=/var/run/btsync/btsync.pid#############################prog="btsync"retval=0if [ -f /etc/sysconfig/$prog ];then . /etc/sysconfig/$progfi# Source function library.. /etc/rc.d/init.d/functions# Source networking configuration.. /etc/sysconfig/network# Check that networking is up.[ "$NETWORKING" = "no" ] && exit 0start() { if [ -f $config ]; then echo -n $"Starting $prog: " daemon --user $USER $prog --config $CONFIG echo else echo "Couldn't start $prog for $USER (no $config found)" fi} stop() { echo -n $"Stopping $prog: " killproc -p $PIDFILE echo} case "$1" in start)start;;stop)stop;;restart|reload|force-reload)stopstart;;status)status $progretval=$?;;*)echo "Usage: /etc/init.d/btsync {start|stop|reload|force-reload|restart|status}"exit 1esac exit 0btinstall.zip
  19. Hi! I have a NAS Synology DS213j. I would like to install BitTorrent Sync on it, but I don't know how to do this. Here is what I have done so far: I went to: http://www.synocommunity.com/packages Then: btsync 1.1.70-1 for all other models I followed the instructions (add a source), but nothing happened... Does anyone know if it is possible to use BitTorrent Sync with this NAS? If yes, how? Thanks for your help!
  20. I have problems to install/run it on Linux. The problem is easy to describe with my bash output. Linux pc-kubuntu 3.8.0-27-generic #40-Ubuntu SMP Tue Jul 9 00:19:35 UTC 2013 i686 athlon i686 GNU/Linux raring Ubuntu 13.04 \n \l user@pc-kubuntu:/usr/local/bin/btsync$ ll insgesamt 2844 -rwxrwxr-x 1 501 502 2904620 Jul 23 14:12 btsync* -rw-rw-r-- 1 501 502 155 Mai 29 17:09 LICENSE.TXT user@pc-kubuntu:/usr/local/bin/btsync$ ./btsync Can't open pid file /usr/local/bin/btsync/.sync//sync.pid. Keine Berechtigung user@pc-kubuntu:/usr/local/bin/btsync$ sudo ./btsync BitTorrent Sync forked to background. pid = 4814 Simple translation. The listing shows what was in the tar.gz-file. Is that realy all? There are not rights ("Keine Berechtigung") to open a pid-file. Doing it as sudo it is put to background. 1. Should I run it as user or root/sudo? 2. I see no window. Nothing appeares on the screen.